
Core - Bug # 52133

Status: Resolved Priority: Must have
Author: Benjamin Rau Category: Backend User Interface
Created: 2013-09-19 Assigned To:
Updated: 2014-07-08 Due date:
TYPO3 Version: 6.1
PHP Version: 5.4
Complexity: no-brainer
Is Regression: No
Sprint Focus:
Subject: Display title of related record when using fields of type:inline as TCA label
Description

If you want to use an inline field (1:1 relation) as label for your TCA table the UID of related record is shown as value, but it is expected
to use the TCA label from the related table.

Reason why this is not shown:
TYPO3\CMS\Backend\Utility\BackendUtility::getProcessedValue() is used to get value that is used for the TCA label.

This one contains a switch which handles some field types differently, for example selects with foreign_table or group fields from
internal_type db.

Suggested solution:
There is simply missing a case for fields of type:inline. Just handle it like value is processed for fields of type select.

Related issues:
related to Core - Bug # 59656: List mode doesn't show relation number, but tr... Closed 2014-06-18
related to Core - Bug # 22970: t3lib_BEfunc::getProcessedValue() did not hand... Rejected 2010-06-23

Associated revisions
Revision 807b5919 - 2013-09-19 14:45 - Claus Due 

[BUGFIX] Display relations' titles when TCA label field is type inline

This change adds a case to treat "inline" TCA types the same way
"select" is treated when building the record's label value.

Before, if record used field of type "inline" as TCA label field, TYPO3
would display fx "3" (number of related records as stored in field
on parent record).

After, TYPO3 will display fx "Record1, Record2, Record2" if "inline" 
field contains three related records named thusly.

Fixes: #52133
Releases: 6.2, 6.1, 6.0, 4.7, 4.5
Change-Id: Ie06f09368e81505cb1e5989b61ae98add54b05ba
Reviewed-on: https://review.typo3.org/23902
Reviewed-by: Benjamin Rau
Tested-by: Benjamin Rau
Reviewed-by: Stefan Froemken
Tested-by: Stefan Froemken
Reviewed-by: Cedric Ziel
Tested-by: Cedric Ziel
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring

Revision 765882ed - 2014-01-08 16:01 - Stefan Froemken

[BUGFIX] Display relations' titles when TCA label field is type inline

This change adds a case to treat "inline" TCA types the same way
"select" is treated when building the record's label value.

Before, if record used field of type "inline" as TCA label field, TYPO3
would display fx "3" (number of related records as stored in field
on parent record).

After, TYPO3 will display fx "Record1, Record2, Record2" if "inline" 
field contains three related records named thusly.

Fixes: #52133
Releases: 6.2, 6.1, 6.0, 4.7, 4.5
Change-Id: Ie06f09368e81505cb1e5989b61ae98add54b05ba
Reviewed-on: https://review.typo3.org/23914
Reviewed-by: Markus Klein
Tested-by: Markus Klein

Revision f3b87113 - 2014-01-08 16:01 - Stefan Froemken

[BUGFIX] Display relations' titles when TCA label field is type inline

This change adds a case to treat "inline" TCA types the same way
"select" is treated when building the record's label value.

Before, if record used field of type "inline" as TCA label field, TYPO3
would display fx "3" (number of related records as stored in field
on parent record).

After, TYPO3 will display fx "Record1, Record2, Record2" if "inline" 
field contains three related records named thusly.

Fixes: #52133
Releases: 6.2, 6.1, 6.0, 4.7, 4.5
Change-Id: Ie06f09368e81505cb1e5989b61ae98add54b05ba
Reviewed-on: https://review.typo3.org/23913
Reviewed-by: Markus Klein
Tested-by: Markus Klein

Revision 96ff9279 - 2014-01-08 16:01 - Claus Due 

2015-08-04 2/5

https://review.typo3.org/23914
https://review.typo3.org/23913


[BUGFIX] Display relations' titles when TCA label field is type inline

This change adds a case to treat "inline" TCA types the same way
"select" is treated when building the record's label value.

Before, if record used field of type "inline" as TCA label field, TYPO3
would display fx "3" (number of related records as stored in field
on parent record).

After, TYPO3 will display fx "Record1, Record2, Record2" if "inline" 
field contains three related records named thusly.

Fixes: #52133
Releases: 6.2, 6.1, 6.0, 4.7, 4.5
Change-Id: Ie06f09368e81505cb1e5989b61ae98add54b05ba
Reviewed-on: https://review.typo3.org/23912
Reviewed-by: Markus Klein
Tested-by: Markus Klein

Revision 42a3eb3b - 2014-01-08 16:01 - Claus Due 

[BUGFIX] Display relations' titles when TCA label field is type inline

This change adds a case to treat "inline" TCA types the same way
"select" is treated when building the record's label value.

Before, if record used field of type "inline" as TCA label field, TYPO3
would display fx "3" (number of related records as stored in field
on parent record).

After, TYPO3 will display fx "Record1, Record2, Record2" if "inline" 
field contains three related records named thusly.

Fixes: #52133
Releases: 6.2, 6.1, 6.0, 4.7, 4.5
Change-Id: Ie06f09368e81505cb1e5989b61ae98add54b05ba
Reviewed-on: https://review.typo3.org/23911
Reviewed-by: Markus Klein
Tested-by: Markus Klein

History
#1 - 2013-09-19 13:34 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23902

#2 - 2013-09-19 14:37 - Gerrit Code Review
Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23902

#3 - 2013-09-19 15:19 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-1 has been pushed to the review server.
It is available at https://review.typo3.org/23911

#4 - 2013-09-19 15:26 - Gerrit Code Review

Patch set 2 for branch TYPO3_6-1 has been pushed to the review server.
It is available at https://review.typo3.org/23911

#5 - 2013-09-19 15:28 - Gerrit Code Review

Patch set 3 for branch TYPO3_6-1 has been pushed to the review server.
It is available at https://review.typo3.org/23911

#6 - 2013-09-19 15:30 - Anonymous
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:807b591916c22cb7703f00ff27d330232bfa204e.

#7 - 2013-09-19 15:36 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch TYPO3_6-0 has been pushed to the review server.
It is available at https://review.typo3.org/23912

#8 - 2013-09-19 15:52 - Gerrit Code Review

Patch set 1 for branch TYPO3_4-7 has been pushed to the review server.
It is available at https://review.typo3.org/23913

#9 - 2013-09-19 15:55 - Gerrit Code Review

Patch set 1 for branch TYPO3_4-5 has been pushed to the review server.
It is available at https://review.typo3.org/23914

#10 - 2014-01-08 16:30 - Anonymous
- Status changed from Under Review to Resolved
Applied in changeset commit:42a3eb3be11e7b215505530505893525d2ab14ec.

#11 - 2014-07-08 14:48 - Caspar Stuebs

This fix in uncomplete.

To handle TCA type inline, some more lines of code are needed.

Please see Ticket #22970 - Patch is submitted to gerrit since 9 month
